WebLogicSSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicSSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicSSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SSLSettings

    public interface WebLogicSSLSettings

extends SSLSettings

SSL Settings for a WebLogic Server

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  WLSSSL

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCertAuthenticator()`
`boolean` | `getClientCeritificateEnforced()`
`int` | `getExportKeyLifespan()`
`boolean` | `getHandlerEnabled()`
`boolean` | `getHostnameVerificationIgnored()`
`java.lang.String` | `getHostnameVerifier()`
`boolean` | `getKeyEncrypted()`
`int` | `getLoginTimeoutMillis()`
`WebLogicServer` | `getParent()`
`java.lang.String` | `getServerCertificateChainFileName()`
`boolean` | `getTwoWaySslEnabled()`
`boolean` | `getUseJava()`
`boolean` | `hasCertAuthenticator()`
`boolean` | `hasClientCeritificateEnforced()`
`boolean` | `hasExportKeyLifespan()`
`boolean` | `hasHandlerEnabled()`
`boolean` | `hasHostnameVerificationIgnored()`
`boolean` | `hasHostnameVerifier()`
`boolean` | `hasKeyEncrypted()`
`boolean` | `hasLoginTimeoutMillis()`
`boolean` | `hasParent()`
`boolean` | `hasServerCertificateChainFileName()`
`boolean` | `hasTwoWaySslEnabled()`
`boolean` | `hasUseJava()`
`void` | `setCertAuthenticator(java.lang.String s)`
`void` | `setClientCeritificateEnforced(boolean b)`
`void` | `setExportKeyLifespan(int i)`
`void` | `setHandlerEnabled(boolean b)`
`void` | `setHostnameVerificationIgnored(boolean b)`
`void` | `setHostnameVerifier(java.lang.String s)`
`void` | `setKeyEncrypted(boolean b)`
`void` | `setLoginTimeoutMillis(int i)`
`void` | `setParent(WebLogicServer parent)`
`void` | `setServerCertificateChainFileName(java.lang.String s)`
`void` | `setTwoWaySslEnabled(boolean b)`
`void` | `setUseJava(boolean b)`

Methods inherited from interface com.collation.platform.model.topology.app.SSLSettings
`getAcceptCaCertificateFiles, getCaCertificateFile, getCertificateFile, getCipherSuite, getPrivateKeyFile, getRevokeCaCertificateFiles, getSessionCacheTimeout, getSslEnabled, getSslPort, hasAcceptCaCertificateFiles, hasCaCertificateFile, hasCertificateFile, hasCipherSuite, hasPrivateKeyFile, hasRevokeCaCertificateFiles, hasSessionCacheTimeout, hasSslEnabled, hasSslPort, setAcceptCaCertificateFiles, setCaCertificateFile, setCertificateFile, setCipherSuite, setPrivateKeyFile, setRevokeCaCertificateFiles, setSessionCacheTimeout, setSslEnabled, setSslPort`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebLogicServer getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setParent

    void setParent(WebLogicServer parent)

### hasParent

    boolean hasParent()

### getCertAuthenticator

    java.lang.String getCertAuthenticator()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCertAuthenticator

    void setCertAuthenticator(java.lang.String s)

### hasCertAuthenticator

    boolean hasCertAuthenticator()

### getExportKeyLifespan

    int getExportKeyLifespan()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExportKeyLifespan

    void setExportKeyLifespan(int i)

### hasExportKeyLifespan

    boolean hasExportKeyLifespan()

### getHostnameVerifier

    java.lang.String getHostnameVerifier()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostnameVerifier

    void setHostnameVerifier(java.lang.String s)

### hasHostnameVerifier

    boolean hasHostnameVerifier()

### getLoginTimeoutMillis

    int getLoginTimeoutMillis()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginTimeoutMillis

    void setLoginTimeoutMillis(int i)

### hasLoginTimeoutMillis

    boolean hasLoginTimeoutMillis()

### getServerCertificateChainFileName

    java.lang.String getServerCertificateChainFileName()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerCertificateChainFileName

    void setServerCertificateChainFileName(java.lang.String s)

### hasServerCertificateChainFileName

    boolean hasServerCertificateChainFileName()

### getClientCeritificateEnforced

    boolean getClientCeritificateEnforced()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientCeritificateEnforced

    void setClientCeritificateEnforced(boolean b)

### hasClientCeritificateEnforced

    boolean hasClientCeritificateEnforced()

### getHandlerEnabled

    boolean getHandlerEnabled()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHandlerEnabled

    void setHandlerEnabled(boolean b)

### hasHandlerEnabled

    boolean hasHandlerEnabled()

### getHostnameVerificationIgnored

    boolean getHostnameVerificationIgnored()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostnameVerificationIgnored

    void setHostnameVerificationIgnored(boolean b)

### hasHostnameVerificationIgnored

    boolean hasHostnameVerificationIgnored()

### getKeyEncrypted

    boolean getKeyEncrypted()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeyEncrypted

    void setKeyEncrypted(boolean b)

### hasKeyEncrypted

    boolean hasKeyEncrypted()

### getTwoWaySslEnabled

    boolean getTwoWaySslEnabled()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTwoWaySslEnabled

    void setTwoWaySslEnabled(boolean b)

### hasTwoWaySslEnabled

    boolean hasTwoWaySslEnabled()

### getUseJava

    boolean getUseJava()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseJava

    void setUseJava(boolean b)

### hasUseJava

    boolean hasUseJava()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD